function dop=dopOverallDataFinish(dop)
% dopOSCCI Mark II: dopOverallDataFinish ~ 24-11-2010 (last edit)
%
fprintf('%s\n',['Running ',mfilename]);
try
    if ~dop.sum.skip && ~dop.sum.quit
        %% directory
        if isfield(dop.sav,'graphDataDir')
            %% > import data
            dop.grd=dopOverallDataRead(dop.sav.graphDataDir,...
                dop.def.saveGraphDataChs,dop.def.saveData);
            %% > file information
            % condition etc from file name
            for i=1:dop.grd.n
                dop.grd.info{i}=dopGraphDataFileInfo(dop.grd.fileList{i});
            end
            
            %% > vertical files
            dopOverallDataVert(dop);
            
            %% > index calculations?
            dop=dopOverallDataCalc(dop);
            
            %% > save data
            dop=dopOverallCalcSave(dop);
            
            %% > graph the data
            dop=dopGraph(dop,'Overall');
        else
            fprintf('\t%s\n\t\t%s\n',...
                '''dop.sav.graphDataDir'' doesn''t exist,',...
                'Therefore there aren''t any overall data files.');
        end
    end
catch err
    %% catch dopOSCCI error
    % 
save(dopOSCCIdebug(mfilename));rethrow(err); 
%     dopOSCCIcrash(err,dop,mfilename);
end